import { jsx } from "react/jsx-runtime";
import { TokenNEX as TokenNEX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNEX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NEX", "data-name": "TokenNEX", ...props, children: /* @__PURE__ */ jsx(TokenNEX$1, { variant }) });
  }
);
TokenNEX.displayName = "TokenNEX";
Object.assign(TokenNEX, { isGdsIcon: true });
export {
  TokenNEX
};
